Bug 349431 - system-config-network support for wireless cards is deficient
system-config-network support for wireless cards is deficient
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 16:14 EDT by Andrew Zabolotny
Modified: 2009-01-09 02:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:20:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Zabolotny 2007-10-23 16:14:51 EDT
Description of problem:

system-config-network does not allow configuring new wireless LAN cards.
However, anaconda creates the file ifcfg-wlan0 more or less correctly, so the
wireless card can be configured if it's present during system installation.

Version-Release number of selected component (if applicable):
1.3.96.2-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Insert a new wireless card. In my case this is a Ralink 2400 PCI card (driver
rt2400pci), or RTL-8185 (driver r8180). The driver is autoloaded since it's a
PCI device, so iwconfig already shows the wlan0 interface.
2. Run system-config-network, press the Add button.
3. Choose "Wireless connection" and press Next.
4. Select "Other Wireless card" since the menu doesn't list any of the loaded
PCI WiFi cards.
5. The "device" list doesn't allow to choose any wlanX interfaces, not speaking
that the "Adapter" list does not contain neither Ralink 2400 or RTL 8185 cards
in the list. Maybe the combobox can be made at least editable so that I can
enter wlan0 instead of ethX ?
6. If you select some abstract ethX device and an arbitrary driver (which can be
fixed after that in modprobe.conf), the network fails to initialize the
interface (says no such interface eth1). And only if I change eth1 to wlan0 in
ifcfg-eth1, the network starts to work.
Comment 1 Harald Hoyer 2007-10-24 03:46:43 EDT
does ifcfg-wlan0 contain:
Type=Wireless

??
Comment 2 Andrew Zabolotny 2007-10-24 09:38:35 EDT
Yes:

TYPE=Wireless
DEVICE=eth1
...
ESSID='...'
CHANNEL=1
MODE=Master
RATE=Auto

Problem is with "DEVICE=eth1". Wireless cards are named wlan0; if I change
manually eth1 into wlan0, "service network restart" will initialize the wireless
card correctly, otherwise it tells me that there's no eth1 device in the system.
However, system-config-network does not allow me to choose "wlan0", it lists
only eth0-7 as possible values for DEVICE. Other problem with "eth1" instead of
"wlan0" is that I cannot bind the interface to my card MAC address since it
can't query the MAC address of the eth1 device.

And another problem is the driver. Since I can't enter the driver for the card
manually, I have to choose a bogus card from the list, which will result in a
wrong line appended to my modules.conf. I usually just remove that line since
the driver for PCI card is autoloaded.

Perhaps besides "Other Wireless card" system-config-network must show a list of
currently available interfaces such as wlan0?
Comment 3 Harald Hoyer 2007-10-24 09:52:45 EDT
I will review s-c-networks behaviour.
Comment 4 Harald Hoyer 2008-03-31 07:03:41 EDT
what does:

# /sbin/iwconfig

output?
Comment 5 Andrew Zabolotny 2008-04-01 14:33:04 EDT
Since I have reported the bug system-config-network behavior changed. Now it
sees "RaLink Wireless PCI Adapter RT2400 / RT2600" on the "Hardware" tab and
allows me to select it when I initiate the "Add new device" dialog. However, if
I select "Other Wireless card" it still displays eth0-eth7, and doesn't display
wlan0.

/sbin/iwconfig displays:

lo        no wireless extensions.

eth0      no wireless extensions.

wmaster0  no wireless extensions.

wlan0     IEEE 802.11  ESSID:""
          Mode:Managed  Frequency:2.412 GHz  Access Point: Not-Associated   
          Tx-Power=0 dBm   
          Retry min limit:7   RTS thr:off   Fragment thr=2352 B   
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0
Comment 6 Bug Zapper 2008-05-14 10:50:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Andrew Zabolotny 2008-05-17 04:51:21 EDT
The bug is still there in version 1.5.5-1.fc8, although wireless cards can be
used without problems with NetworkManager. Still, I consider this to be a bug,
although very low-priority.
Comment 8 Bug Zapper 2008-11-26 03:05:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:20:17 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.